#!/usr/bin/python


from sys import stdin, stdout

# Population mean
def pop_mean(x):
    
    x_sum = 0
    x_len = 0
    
    for a in x:
        x_sum += float(a)
        x_len += 1
        
    return x_sum/float(x_len)

# Welford's method for calculating the sample mean and sample sigma
# in a numerically stable way
def sample_mean_stdev(samples):
    M = 0.
    S = 0.
    for k, x in enumerate(samples, 1):
        oldM = M
        M = M + (x-M)/k
        S = S + (x-M)*(x-oldM)
    return (M, (S/(k-1.))**0.5)


total_mean, total_stdev = sample_mean_stdev(
    pop_mean(line.rstrip("\n").split("\t")[1:])
    for line in stdin
)

# Write a line to standard output, composed of the intersequence mean
# and sigma of the sequence-wide average of disorder probability. The
# two numbers are separated by a space.
stdout.write(str(total_mean) + " " + str(total_stdev) + "\n")
